Viewing 6 posts - 1 through 6 (of 6 total)
  • Author
    Posts
  • #37111

    [I] Kali Linux 2020.1 x86_64 detected…

    [I] Silent Mode: Enabled
    [I] Force Mode: Enabled

    [?] Are you sure you wish to install Veil?

    Continue with installation? ([y]es/[s]ilent/[N]o): S

    [*] Initializing package installation

    [*] Installing dependencies

    [*] Updating APT

    Reading package lists… Done
    Building dependency tree
    Reading state information… Done
    python3 is already the newest version (3.8.2-3).
    python3 set to manually installed.
    ruby is already the newest version (1:2.7+1).
    ruby set to manually installed.
    unzip is already the newest version (6.0-25).
    unzip set to manually installed.
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    libc6-dev : Breaks: libgcc-8-dev (< 8.4.0-2~) but 8.3.0-26 is to be installed
    Breaks: python3.7 (< 3.7.7-1+b1) but 3.7.6-1 is to be installed
    E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
    [ERROR] Failed with installing dependencies (1): 0

    [*] Installing Python’s pycrypto (via apt)…

    Reading package lists… Done
    Building dependency tree
    Reading state information… Done
    python3-crypto is already the newest version (2.6.1-13).
    The following packages were automatically installed and are no longer required:
    libgfapi0 libgfrpc0 libgfxdr0 libglusterfs0 libpython3.7-dev python3.7-dev ruby2.5
    Use ‘sudo apt autoremove’ to remove them.
    0 upgraded, 0 newly installed, 0 to remove and 1246 not upgraded.
    Reading package lists… Done
    Building dependency tree
    Reading state information… Done
    metasploit-framework is already the newest version (5.0.89-0kali1).
    The following packages were automatically installed and are no longer required:
    libgfapi0 libgfrpc0 libgfxdr0 libglusterfs0 libpython3.7-dev python3.7-dev ruby2.5
    Use ‘sudo apt autoremove’ to remove them.
    0 upgraded, 0 newly installed, 0 to remove and 1246 not upgraded.

    [*] Pulling down binary dependencies

    [*] Empty folder… git cloning

    Cloning into ‘/var/lib/veil/setup-dependencies’…
    remote: Enumerating objects: 12, done.
    remote: Total 12 (delta 0), reused 0 (delta 0), pack-reused 12
    Unpacking objects: 100% (12/12), done.
    Updating files: 100% (10/10), done.

    [*] Installing Wine

    [*] Already have x86 architecture added…

    [*] Installing Wine 32-bit and 64-bit binaries (via APT)

    E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
    [ERROR] Failed with installing wine (2): 0

    [*] [ALERT]: Existing Veil Wine environment detected at: /var/lib/veil/wine

    Do you want to nuke it? ([y]es/[N]o): Y

    [*] Deleting existing Veil Wine environment…

    [*] Creating new Veil Wine environment in: /var/lib/veil/wine

    [*] Initializing Veil’s Wine environment…

    sudo: wine: command not found
    [ERROR] Veil Wine environment could not be found!

    [ERROR] Check for existence of /var/lib/veil/wine/drive_c

    [*] Finished package installation

    [*] Initializing (OS + Wine) Python dependencies installation…

    [*] Installing (Wine) Python…

    [*] Next -> Next -> Next -> Finished! …Overwrite if prompt (use default values)

    sudo: wine: command not found
    [ERROR] Failed to install (Wine) Python 3.4.4… Exit code: 1

    [*] Installing (Wine) Python dependencies…

    [*] Installing (Wine) Python’s pywin32-220.win32-py3.4.exe…

    [*] Next -> Next -> Next -> Finished! …Overwrite if prompt (use default values)

    warning [pywin32-220.win32-py3.4.exe]: 192288 extra bytes at beginning or within zipfile
    (attempting to process anyway)
    cp: target ‘/var/lib/veil/wine/drive_c/Python34/Lib/site-packages/’ is not a directory
    cp: target ‘/var/lib/veil/wine/drive_c/Python34/Scripts/’ is not a directory
    sudo: wine: command not found

    [*] Installing (Wine) Python’s pycrypto-2.6.1.win32-py3.4.exe…

    [*] Next -> Next -> Next -> Finished! …Overwrite if prompt (use default values)

    warning [pycrypto-2.6.1.win32-py3.4.exe]: 191515 extra bytes at beginning or within zipfile
    (attempting to process anyway)
    cp: target ‘/var/lib/veil/wine/drive_c/Python34/Lib/site-packages/’ is not a directory

    [*] Installing (OS) Python’s PyInstaller (via TAR)

    [*] Installing (Wine) Python’s PIP pefile

    sudo: wine: command not found
    [ERROR] Failed to run (wine) Python pip… Exit code: 1

    sudo: wine: command not found
    [ERROR] Failed to run (wine) Python pip future… Exit code: 1

    sudo: wine: command not found
    [ERROR] Failed to run (wine) Python pip pefile… Exit code: 1

    [*] Finished (Wine + OS) Python dependencies installation

    [*] Initializing (Wine) Ruby installation…

    [*] Installing (Wine) Ruby & dependencies

    [*] Next -> Next -> Next -> Finished! …Overwrite if prompt (use default values)

    sudo: wine: command not found
    [ERROR] Failed to install (Wine) Ruby.exe… Exit code: 1

    [*] Installing (Wine) Ruby OCRA gem…

    sudo: wine: command not found
    [ERROR] Failed to run (wine) Ruby OCRA.. Exit code: 1

    [*] Extracting (Wine) Ruby dependencies…

    [*] Finished Ruby installation

    [*] Initializing Go installation…

    [*] Installing Go x86_64 (via TAR)

    [*] Finished Go installation

    [*] Initializing AutoIT installation…

    [*] Installing (Wine) AutoIT

    [*] Next -> Next -> Next -> Finished! …Overwrite if prompt (use default values)

    sudo: wine: command not found
    [ERROR] Failed to run (wine) AutoIT.. Exit code: 1

    [*] Finished AutoIT installation

    [*] Updating Veil configuration…

    [*] Detected current Veil settings. Removing…

    Veil Configuration:
    [*] OPERATING_SYSTEM = Kali
    [*] TERMINAL_CLEAR = false
    [*] VEIL_PATH = /opt/Veil/
    [*] WINEPREFIX = /var/lib/veil/wine/
    [*] TEMP_PATH = /tmp/
    [*] METASPLOIT_PATH = /usr/share/metasploit-framework/
    [*] MSFVENOM_PATH = /usr/bin/
    [*] MSFVENOM_OPTIONS =
    [*] PYINSTALLER_PATH = /var/lib/veil/PyInstaller-3.2.1/
    [*] GOLANG_PATH = /var/lib/veil/go/

    Veil-Evasion Configuration:
    [*] PAYLOAD_SOURCE_PATH = /var/lib/veil/output/source/
    [*] PAYLOAD_COMPILED_PATH = /var/lib/veil/output/compiled/
    [*] HANDLER_PATH = /var/lib/veil/output/handlers/
    [*] HASH_LIST = /var/lib/veil/output/hashes.txt
    [I] Path ‘/etc/veil/’ Created
    [I] Configuration File Written To: ‘/etc/veil/settings.py’

    [*] Ensuring this account (root) owns veil output directory (/var/lib/veil/output)…

    [*] Ensuring this account (root) has correct ownership of /var/lib/veil/wine

    [*] Finished Veil configuration…

    [*] Finished environment checks

    [ERROR] There was issues installing the following:

    Failed with installing dependencies (1): 0
    Failed with installing wine (2): 0
    Veil Wine environment could not be found!
    Check for existence of /var/lib/veil/wine/drive_c
    Failed to install (Wine) Python 3.4.4… Exit code: 1
    Failed to run (wine) Python pip… Exit code: 1
    Failed to run (wine) Python pip future… Exit code: 1
    Failed to run (wine) Python pip pefile… Exit code: 1
    Failed to install (Wine) Ruby.exe… Exit code: 1
    Failed to run (wine) Ruby OCRA.. Exit code: 1
    Failed to run (wine) AutoIT.. Exit code: 1

    [I] If you have any errors running Veil, run: ‘./Veil.py –setup’ and select the nuke the wine folder option

    [I] Done!

    This is my error

    #37112

    Please help to install veil

    #37136
    diegodiego
    Moderator

    Hi Sithum!
    Can you try to download a fresh custom kali image provided by Zaid?
    Then use this commands:
    apt update
    apt -y install veil
    /usr/share/veil/config/setup.sh –force –silent

    To run it:
    /usr/share/veil/Veil.py

    Let me know how it goes.
    Diego

    #37191

    it is not working

    #37213

    Okay diego, I upgrade my kali machine and install it. It’s now work.
    Thanks for guide.

    #37329
    diegodiego
    Moderator

    Hi Sithum!
    Cool you got it!
    Diego

Viewing 6 posts - 1 through 6 (of 6 total)
  • You must be logged in to reply to this topic.